#include <pic.h>  

__CONFIG(UNPROTECT & PWRTEN & HS & BORDIS & WDTDIS & LVPDIS);

#define		LED1		RB2
#define		LED2		RB1

#define		BUT1		RB5
#define		BUT2		RB4

//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

int main(void) {

	INTCON 	= 0x0;			// Disable inerupt
	TRISB1 	= 0;			// Led1 pin as output
	TRISB2 	= 0;			// Led2 pin as output
	TRISB4 	= 1;			// But1 pin as input
	TRISB5 	= 1;			// But2 pin as input


	while(1) {

		if(BUT1==0) {
			// led 1 on
			LED1 = 1;
		}
		else {
			// led 1 off
			LED1 = 0;
		}

		if(BUT2==0) {
			// led 2 on
			LED2 = 1;
		}
		else {
			// led 2 off
			LED2 = 0;
		}
	}

}